Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Class NodeRef.Factory

    java.lang.Object
      com.bea.ld.metadata.NodeRef.Factory

Enclosing interface:
  NodeRef

    public static class NodeRef.Factory

extends java.lang.Object

Constructor Summary
`protected` | `NodeRef.Factory(java.util.Map nodeRefRegistry)`

Method Summary
`FunctionCollectionRef` | `createFunctionCollectionRef(java.lang.String locator)`
`FunctionRef` | `createFunctionRef(javax.xml.namespace.QName name, int arity)`
`NodeRef` | `createReferenceNodeRef(java.lang.String locator, char nodeKind)`
`SchemaRef` | `createSchemaRef(java.lang.String locator)`
`WebServicePolicyRef` | `createWebServicePolicyRef(java.lang.String locator)`
`WebServiceRef` | `createWebServiceRef(java.lang.String locator)`
`static NodeRef.Factory` | `newInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeRef.Factory

    protected NodeRef.Factory(java.util.Map nodeRefRegistry)

Method Detail

### newInstance

    public static NodeRef.Factory newInstance()

  Returns:
    The singleton node ref factory.

### createReferenceNodeRef

    public NodeRef createReferenceNodeRef(java.lang.String locator,
                                          char nodeKind)

  Parameters:
    `locator` - May not be `null`.
    `nodeKind` - A reference repository node kind.
  Returns:
    The corresponding ref.

### createFunctionCollectionRef

    public FunctionCollectionRef createFunctionCollectionRef(java.lang.String locator)

### createSchemaRef

    public SchemaRef createSchemaRef(java.lang.String locator)

### createFunctionRef

    public FunctionRef createFunctionRef(javax.xml.namespace.QName name,
                                         int arity)

### createWebServiceRef

    public WebServiceRef createWebServiceRef(java.lang.String locator)

### createWebServicePolicyRef

    public WebServicePolicyRef createWebServicePolicyRef(java.lang.String locator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.